# Draco::Periodic

Run a Draco System every _n_ ticks.

## Usage

```ruby
class System < Draco::System
  include Draco::Periodic

  # Only runs the system every 5 ticks
  run_every 5

  def tick(context)
    puts "Current Tick: #{context.state.tick_count}"
  end
end
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'draco-periodic'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install draco-periodic

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and the created tag, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/draco-periodic. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/draco-periodic/blob/master/CODE_OF_CONDUCT.md).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Draco::Periodic project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/draco-periodic/blob/master/CODE_OF_CONDUCT.md).
